Subject: Re: UDP Out 0f Sequence

From: Rick Jones <[email-masked]>
Date: Wed, 20 Sep 2006 09:47:02 -0700

Majumder, Rajib wrote:
> Hi,
> 
> If I write UDP datagrams 1,2 and 3 to network and if the receiver
> receives in order 2,1, and 3, where can the sequence get changed? Is it
> at the source stack, network transit or destination stack?

Yes. :)

Although network transit is by far the most likely case.  Destination 
stack is a distant second and source stack an even more distant third. 
Generally stack writers try to avoid having places in their stacks where 
things can reorder, but it isn't completely unknown.

rick jones